Skip to content

Replace Specification.

PUT
/api/config/namespaces/{metadata.namespace}/filter_sets/{metadata.name}
curl --request PUT \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/filter_sets/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "context_key": "example", "filter_fields": [ { "date_field": { "absolute": { "end_date": "2026-04-15T12:00:00Z", "start_date": "2026-04-15T12:00:00Z" }, "relative": "example" }, "field_id": "example", "filter_expression_field": { "expression": "example" }, "string_field": { "field_values": [ "example" ] } } ] } }'

Replace specification.

Examples of this operation.

metadata.namespace
required
string

Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

metadata.name
required
string

Name The configuration object to be replaced will be looked up by name.

Media typeapplication/json
ReplaceRequest is used to replace contents of a filter_set

This is the input message of the ‘Replace’ RPC.

object
metadata
object
annotations
annotations

Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.

object
description
description

Human readable description for the object.

string
>= 21 characters <= 1200 characters
disable
disable

A value of true will administratively disable the object.

boolean format: boolean
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.

object
name
name

This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

string
>= 6 characters <= 1024 characters
spec
object
context_key

Indexable context key that identifies a page or page type for which the FilterSet is applicable

Required: YES.

string
<= 1024 characters
filter_fields

List of fields and their values selected by the user

Required: YES.

Array<object>
>= 1 items
FilterSetField

A field ID and its value selected by the user.

object
date_field
object
absolute
object
end_date
end_date

Contains end date

Required: YES.

string format: date-time
<= 1024 characters
start_date
start_date

Contains start date

Required: YES.

string format: date-time
<= 1024 characters
relative
relative

Exclusive with [absolute] relative time duration.

string
<= 1024 characters
field_id
field_id

An identifier for the field that maps to some UI filter component

Required: YES.

string
<= 1024 characters
filter_expression_field
object
expression
expression

Expression is a Kubernetes style label expression for selections, but differs in that it allows special characters in the keys and values Required: YES.

string
<= 1024 characters
string_field
object
field_values
field_values

Required: YES.

Array<string>
Examplegenerated
{
"metadata": {
"annotations": {},
"description": "example",
"disable": true,
"labels": {},
"name": "example",
"namespace": "example"
},
"spec": {
"context_key": "example",
"filter_fields": [
{
"date_field": {
"absolute": {
"end_date": "2026-04-15T12:00:00Z",
"start_date": "2026-04-15T12:00:00Z"
},
"relative": "example"
},
"field_id": "example",
"filter_expression_field": {
"expression": "example"
},
"string_field": {
"field_values": [
"example"
]
}
}
]
}
}

A successful response.

Media typeapplication/json
object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example